@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700;900&display=swap");

body {
    background-color: #f6f6f6;
    font-family: "Roboto", sans-serif;
}

header {
    background-color: #fff;
    width: 98%;
    margin-left: 1%;
    border-radius: 15px;
    display: flex;
    justify-content: center;
    margin-bottom: 20px;
}

header .kwietGamesTitle {
    font-weight: bold;
    color: rgb(0, 0, 0);
    font-size: 50px;
}

.white-boxes {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin-top: 2%;
}

.blue {
    color: blue ;
}

.image-with-details {
    display:flex;
}

.image-container {
    display: flex;
    flex-direction: row;
    justify-content: left;
}

.details-kwietlearner {
    margin-left: 4%;
    margin-right: 4%;
}

.button {
    margin-top: 25px;
    padding: .50rem 1rem .50rem 1rem;
	border: 0.125rem solid #ff556e;
    border-radius: 2rem;
	background-color: #ff556e;
    color: #fff;
	font-size: 25px;
	text-decoration: none;
	transition: all 0.2s;
    margin-right: 10px;

}

.button:hover {
	border: 0.125rem solid #ff556e;
	background-color: transparent;
	color: #ff556e;
	text-decoration: none;
}

.button .fab {
	margin-right: 0.5rem;
	font-size: 1.25rem;
	line-height: 0;
	vertical-align: top;
}

.buttons {
    display: flex;
    justify-content: center;
    flex-direction: row;
    align-items: center;
}

.ImageKwietLearner {
    width: 200px;
    height: 360px;
    margin-right: 15px;
}

.ImageKwietDefense {
    width: 1200px;
    height: 600px;
}

.sectionTitle {
    font-weight: bold;
    font-size: 30px;
}

.sectionContent {
    font-size: 22px;
    color: black;
    margin-right: 25px;
    margin-left: 25px;
}

.white-box-section {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #fff;
    margin: 0;
    width: 95%;
    margin-left: 1%;
    border-radius: 15px;
    margin-bottom: 2%;
    padding-left: 2%;
    padding-right: 2%;
    padding-bottom: 15px;
    padding-top: 10px;
}

.ProjectContainer{
    display: flex;
    flex-direction: column;
    justify-content: left;
    align-items: left;
}

.ProjectContainer a{
    text-decoration: none;
    font-weight: bold;
    font-size: 30px;
    margin-bottom: 20px;
    color: rgb(3, 90, 167);
}

.NoticoursContainer {
    display: flex;
    flex-direction: row;
    margin-bottom: 10px;
    margin-top: 10px;
}

.NoticoursTexteContainer {
    display: flex;
    flex-direction: column;
    width: 60%;
}

.NoticoursImage {
    margin-top: 10px;
    margin-right: 2%;
    margin-left: 2%;
    width: 46%;
    height:auto;
    border-radius: 15px;
    overflow: hidden;
}

.NoticoursImageContainer {
    display: flex;
    flex-direction: row;
}

.KwietDefenseImagesContainer {
    display: flex;
    flex-direction: row;
}

.KwietDefenseImage {
    display: flex;
    flex-direction: column;
    margin-left: 2%;
    margin-right: 2%;
    width: 46%;
}

.ImageKwietDefense {
    width: 100%;
    height: auto;
    border-radius: 25px;
    margin-bottom: 15px;
    margin-top: 15px;
}

.ImgYoutube {
    width: 96%;
    margin-left: 2%;
    margin-right: 2%;
    height: auto;
}

.weatherImg {
    width: 96%;
    margin-left: 2%;
    margin-right: 2%;
    height: auto;
    border-radius: 25px;
}

.ModImagesContainer {
    display: flex;
    flex-wrap: wrap;
}

.ModImage {
    width: 40px;
    height: auto;
}

.DiscordImg {
    width: 80%;
    height: auto;
    border-radius: 25px;
    margin-bottom: 15px;
}

.TodoListContainer {
    display: flex;
    flex-direction: row;
}

.TodoListTextContainer {
    display: flex;
    flex-direction: column;
    width: 60%;
}

.TodoListImageContainer {
    display: flex;
    flex-direction: row;
}

.TodoListImg {
    width: 46%;
    margin-right: 2%;
    margin-left: 2%;
    border-radius: 30px;
    margin-bottom: 10px;
}

.PythonProjectsContainer {
    display: flex;
    flex-direction: column;
    justify-content: left;
}

.PythonProjectText {
    font-weight: bold;
    color: blue;
    font-size: 30px;
}

@media screen and (max-width : 640px) {
    
    header .kwietGamesTitle {
        font-size: 40px;
    }
    
    .image-container {
        display: flex;
        flex-direction: column;
        justify-content: left;
    }
    
    .details-kwietlearner {
        margin-right: 4%;
        margin-left: 4%;
    }
    
    .button {
        font-size: 12px;
        
    }

    .ImageKwietLearner {
        width: 200px;
        height: 360px;
        margin-bottom: 15px;
    }

    .buttons {
        display: flex;
        justify-content: center;
        flex-direction: row;
        align-items: center;
    }

    .sectionTitle {
        font-size: 25px;
    }

    .sectionContent {
        font-size: 13px;
        margin-left: 4%;
        margin-right: 4%;
    }

    .image-container {
        display: flex;
        flex-direction: column;
        justify-content: left;
    }

    .image-with-details {
        display:flex;
        flex-direction: column;
        align-items: center;
    }

    .ImageKwietDefense {
        width: 200px;
        height: 110px;
    }

    .NoticoursContainer {
        flex-direction: column;
    }

    .NoticoursTexteContainer {
        flex-direction: column;
        width: 100%;
    }

    .NoticoursImage {
        width: 40%;
        height: auto;
        margin-left: 5%;
        margin-right: 5%;
    }

    .ImageKwietDefense {
        width: 100%;
        height: auto;
        border-radius: 10px;
        margin-top: 5px;
        margin-bottom: 5px;
    }

    .TodoListContainer {
        flex-direction: column;
    }

    .TodoListTextContainer {
        width: 100%;
    }

    .TodoListImg {
        width: 40%;
        margin-left: 5%;
        margin-right: 5%;
        height: auto;
        border-radius: 10px;
    }

    .DiscordImg {
        border-radius: 10px;
    }

    .weatherImg {
        border-radius: 10px;
    }
}





